

/*  MsgBar() - Used to display a sunken status/message bar at the
               bottom of a window.  The companion function Message()
               is used to display a message on the status/message bar.
               You should include a call to both when a window receives
               an EVENT_REDRAW.  Any comments/suggestions/modifications
               would be welcome!

               Hugh A. Lokey, 03/11.93
*/

FUNCTION MsgBar(hWnd)
         LOCAL nLeft, nTop, nRight, nBottom, aCRect
         LOCAL hDC, hColor, hBlackPen, hGreyPen, hWhitePen

         hDc     := GetDC(hWnd)
         aCRect  := GetClientRect(hWnd)
         nLeft   := 0
         nTop    := aCRect[4]-26
         nBottom := nTop+26

         hBlackPen := CreatePen(PS_SOLID,1,RGB(0,0,0))
         hGreyPen  := CreatePen(PS_SOLID,1,RGB(128,128,128))
         hWhitePen := CreatePen(PS_SOLID,1,RGB(255,255,255))

         SelectObject(hDC,hBlackPen)
         Rectangle(hDC,nLeft,nTop,nRight,nBottom)
         hColor := CreateSolidBrush(RGB(192,192,192))
         FillRect(hDC,nLeft,nTop+1,nRight,nBottom,hColor)

         SelectObject(hDC,hGreyPen)
         MoveTo(hDC,nLeft+10,nBottom-4)
         LineTo(hDC,nLeft+10,nTop+4)
         LineTo(hDC,nRight-10,nTop+4)

         SelectObject(hDC,hWhitePen)
         LineTo(hDC,nRight-10,nBottom-4)
         LineTo(hDC,nLeft+10,nBottom-4)

         ReleaseDC(hWnd,hDC)
         DeleteObject(hColor)
         DeleteObject(hBlackPen)
         DeleteObject(hGreyPen)
         DeleteObject(hWhitePen)
RETURN(NIL)

FUNCTION Message(hWnd,cText)
         LOCAL nLeft, nTop, nRight, nBottom, aCRect, hDC
         LOCAL nOldBkClor

         aCRect  := GetClientRect(hWnd)
         nLeft   := 0
         nTop    := aCRect[4]-26
         nRight  := aCRect[3]
         nBottom := nTop+28

         hDC     := GetDC(hWnd)
         nOldBkClor := SetBkColor(hDC,RGB(192,192,192))
         DrawText(hDC,cText,;
                     {nLeft+10,nTop+5,nRight-11,nBottom-5},DT_CENTER)
         SetBkColor(hDC,nOldBkClor)
         ReleaseDC(hWnd,hDC)
RETURN(NIL)
